1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

My PSP is 3.03....... My PSP is a BRICK

Discussion in 'Sony PSP - Mod and firmware discussion' started by Davezombi, Jan 22, 2007.

  1. Davezombi

    Davezombi Member

    Joined:
    Dec 5, 2006
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    11
    once i saw that there was devhook support for 3.03 i asumed it would be homebrewable. SO i upgraded my 2.71 to this worthless peice of crap version cause i thought i can play my ps1 games. WOW was i wrong.
    This thing is a useless peice of junk.

    Is there any rumors on any homebrew being developed? is it being worked on?.
    Im about purposly brick this thing so i can return it in hopes to get a lower version.But now everystore rstocked there shelves and everythings probably 3.03 anyways.
    Im just venting.... and really jealous that u guys are playing all your bootlegs and mines just collecting dust
     
  2. aj101788

    aj101788 Guest

    if u have a 2.71 why dont u just downgrade it to 1.50 then upgrate to 3.03 OE-B

    ps: yes u should go change for a lower version
     
  3. patricktm

    patricktm Member

    Joined:
    Nov 6, 2006
    Messages:
    32
    Likes Received:
    0
    Trophy Points:
    16
    i know that there is a service to downgrade and unbrick PSP that you can try here,

    hope it is helpful to you :)
    i had sent one psp from my friend to them be4 and waiting it is shipping back to me on the way.
     
  4. junkdude

    junkdude Regular member

    Joined:
    Sep 12, 2006
    Messages:
    285
    Likes Received:
    0
    Trophy Points:
    26
    bad luck u upgraded to 3.03!!!!!
    i myself at first thought when devhook was at 0.46 it can be played in 2.71 but no it was only for 1.5 PSPs!!!anyways good luck waiting for ur downgrader!!!aslong as i know some one surely is workin on breakin 2.81-3.03 firewares soo they can enjoy 1.5 again!!!!!!!
     
  5. c_eib21

    c_eib21 Member

    Joined:
    Jan 22, 2007
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    11
    wat do you mean by brick and mine is 3.03 and i have a load of ps1 games i can play them all perfectly fine
     
  6. junkdude

    junkdude Regular member

    Joined:
    Sep 12, 2006
    Messages:
    285
    Likes Received:
    0
    Trophy Points:
    26
    is it 3.03(the official one) or 3.03OE?
    can the official one play ps1 games with out ps3?
     
  7. Davezombi

    Davezombi Member

    Joined:
    Dec 5, 2006
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    11
    it's an official. Yeah it works fine. But thats not what i bought it for lol.
    yes it's wrong, the the way sony is acting, i couldnt care less about ripping them off.

    And i dont know why, because i made several attempts in the past few days to actualy go out and BUY a few games. But i get this gut feeling that im wasting my money.
     
  8. junkdude

    junkdude Regular member

    Joined:
    Sep 12, 2006
    Messages:
    285
    Likes Received:
    0
    Trophy Points:
    26
    nothing else u can do now else to wait for some one to find an exploite and then work on an downgrader!!!!!!!!
     
  9. lurtz343

    lurtz343 Member

    Joined:
    Jan 2, 2007
    Messages:
    49
    Likes Received:
    0
    Trophy Points:
    16
    I dont think it can
     
    Last edited: Jan 23, 2007
  10. LiNk0210

    LiNk0210 Regular member

    Joined:
    Jan 21, 2007
    Messages:
    157
    Likes Received:
    0
    Trophy Points:
    26
    you know, theres always the modchip
     

Share This Page